Update User
Modify the details of a user. A non-administrator user may only modify their own password. An administrator can edit any user.
Modify basic details of the specified user.
Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/users/{userUrn}
COPY
Path Parameters
string
userUrn
Required
userUrn
Request Body
VcdUser
of type(s)
application/json
Optional
Show optional properties
{
"username": "string"
}
{
"username": "string",
"givenName": "string",
"familyName": "string",
"fullName": "string",
"description": "string",
"id": "string",
"roleEntityRefs": [
{
"name": "string",
"id": "string"
}
],
"effectiveRoleEntityRefs": [
{
"name": "string",
"id": "string"
}
],
"orgEntityRef": {
"name": "string",
"id": "string"
},
"password": "string",
"email": "string",
"nameInSource": "string",
"enabled": false,
"inheritGroupRoles": false,
"providerType": "string",
"locked": false,
"stranded": false,
"phone": "string",
"domain": "string",
"managerEntityRef": {
"name": "string",
"id": "string"
}
}
Responses
200
OK
Returns
VcdUser
of type(s)
application/json;version=9.1.0
{
"username": "string",
"givenName": "string",
"familyName": "string",
"fullName": "string",
"description": "string",
"id": "string",
"roleEntityRefs": [
{
"name": "string",
"id": "string"
}
],
"effectiveRoleEntityRefs": [
{
"name": "string",
"id": "string"
}
],
"orgEntityRef": {
"name": "string",
"id": "string"
},
"password": "string",
"email": "string",
"nameInSource": "string",
"enabled": false,
"inheritGroupRoles": false,
"providerType": "string",
"locked": false,
"stranded": false,
"phone": "string",
"domain": "string",
"managerEntityRef": {
"name": "string",
"id": "string"
}
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"},{"type":"Classic"}]
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"username":"string"}' https://{api_host}/cloudapi/1.0.0/users/{userUrn}
Availability
Added in 35.0
On This Page
User Operations
GET
Query Users
POST
Create User
GET
Get User
PUT
Update User
DELETE
Delete User
GET
Query User Groups
PUT
Modify User Groups
POST
Change Password
POST
Take Ownership